# LocalizedLine

Class in [Yarn.Unity](/api/csharp/yarn.unity.md)

Inherits from `System.Object`

## Summary

Represents a line, ready to be presented to the user in the localisation they have specified.

```csharp
public class LocalizedLine
```

## Fields

| Name                                                                                                       | Description                                                                                                                                                               |
| ---------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Asset](/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.asset.md)                 | The asset associated with this line, if any.                                                                                                                              |
| [InvalidLine](/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.invalidline.md)     | A [LocalizedLine](/api/csharp/yarn.unity/yarn.unity.localizedline.md) object that represents content not being found.                                                     |
| [Metadata](/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.metadata.md)           | Any metadata associated with this line.                                                                                                                                   |
| [RawText](/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.rawtext.md)             | DialogueLine's text                                                                                                                                                       |
| [Source](/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.source.md)               | The object that created this line. Most of the time will be the [DialogueRunner](/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) that passed the presenter the line. |
| [Substitutions](/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.substitutions.md) | DialogueLine's inline expression's substitution                                                                                                                           |
| [TextID](/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.textid.md)               | DialogueLine's ID                                                                                                                                                         |

## Properties

| Name                                                                                                                             | Description                                                                                                                                         |
| -------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| [CharacterName](/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.charactername.md)                       | The name of the character, if present.                                                                                                              |
| [Text](/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.text.md)                                         | The underlying [MarkupParseResult](/api/csharp/yarn.markup/yarn.markup.markupparseresult.md) for this line.                                         |
| [TextWithoutCharacterName](/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.textwithoutcharactername.md) | The underlying [MarkupParseResult](/api/csharp/yarn.markup/yarn.markup.markupparseresult.md) for this line, with any `character` attribute removed. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.localizedline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
